# 59. Query: Get "AsAppliedDatasets"

Get all "AsAppliedDatasets" for the selected "Field". Datasets can be fetched using generic GraphQL queries like `getFarms` and `getFields` from the linked "Field".&#x20;

{% hint style="warning" %}
An "AsAppliedDataset" has to be uploaded in advance.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid 
    name
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets {
        uuid 
        name
        number #total number of geofeatures 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #complete details per attribute
          name #link to statistics >> attribute
          transliteratedName
          fullName #correct human readable name
          unit#units of measure
        }

        usedMachines { #used machines
          id
          serial
          operatorId
        } 

        createdDate #entity created datetime in GeoPard
        updatedDate #last update datetime
        operationId
        operationType
        operationFileDate #file creation datetime comes from the metainformation 
        operationStartDate #start of the operation comes from the metainformation
        
        statistics { #statistics distribution for every attribute
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFields { 
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) { 
    fields { 
      uuid
      area(unit: HECTARES) 
      asAppliedDatasets(asAppliedDatasetUuids: ["placeholder_of_dataset_uuid"]) { 
        uuid 
        name
        number #total number of geofeatures 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #complete details per attribute
          name #link to statistics >> attribute
          transliteratedName
          fullName #correct human readable name
          unit#units of measure
        }

        usedMachines { #used machines
          id
          serial
          operatorId
        } 

        createdDate #entity created datetime in GeoPard
        updatedDate #last update datetime
        operationId
        operationType
        operationFileDate #file creation datetime comes from the metainformation 
        operationStartDate #start of the operation comes from the metainformation
        
        statistics { #statistics distribution for every attribute
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/api-docs/geopard-api-requests-overview/59.-query-get-asapplieddatasets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
